Subject: RFC 4409

From: Alfred Hönes <[email-masked]>
Date: Tue, 16 May 2006 20:22:01 +0200 (MESZ)

Hello,

I'd like to submit a few comments on the recently published
RFC 4409 authored by you.

First of all, the updates to RFC 2476 are welcome.

But there are still a few issues with the text:

(1)  Section 7 - Interaction with SMTP Extensions

The list of SMTP extensions provided on page 10 of RFC 4409
unfortunately is incomplete.  As far as I can see, the following
RFCs with SMTP extensions predate the publication of RFC 4409:

  o  RFC 2645  -- ATRN
  o  RFC 2852  -- DELIVERBY
  o  RFC 3865 (+ RFC 4095)  -- NO-SOLICITING
  o  RFC 4141  -- CONPERM, CONNEG
[ o  RFC 4405 ]

Quickly browsing these RFCs, I found that only RFC 4405 has
followed the specification in Section 7 of RFC 2476 (literally
carried over to RFC 4409):

   Future SMTP extensions SHOULD explicitly specify if they are valid on
   the Submission port.

and contains a definitive statement to this end.
RFC 4405 therefore arguably might be excluded from the list.

It would have been useful to have a complete list, with the
proper applicability keywords for the above SMTP extensions.

(2)  Issues with References

a) Section 12 of RFC 4409 contains the entry:

   [ESMTP]           Klensin, J., Freed, N., Rose, M., Stefferud, E.,
                     and D. Crocker, "SMTP Service Extensions", STD 10,
                     RFC 1869, November 1995.

   `STD 10` in fact should be `(ex) STD 10` according to rfcxx00.txt .
   The material from RFC 1869 has been incorporated into RFC 2821,
   and RFC 1869 has been reclassified to Historic.

   Therefore, this reference should not have been listed as a
   Normative Reference.  The Ref. to RFC 2821 in fact catches all.

   Section 12 of RFC 4409, under [SMTP-MTA] also contains the entry:

                     Partridge, C., "Mail routing and the domain
                     system", STD 10, RFC 974, January 1986.

   `STD 10` in fact should better have been `(ex) STD 14` --
   rfcxx00.txt says: "Now Historic."                  ^^

   The non-obsolete material from RFC 974 has been incorporated
   into RFC 2821 and RFC 974 has been reclassified as Historic.

   Therefore, this reference should not have been listed as a
   Normative Reference.  The Ref. to RFC 2821 in fact catches all.

   Finally, the subsequent entry,

                     Braden, R., "Requirements for Internet Hosts -
                     Application and Support", STD 3, RFC 1123, October
                     1989.

   also is not needed any more, because the SMTP related material
   in RFC 1123 has been revised and incorporated into RFC 2821
   as well.  The Ref. to RFC 2821 in fact catches all.

b) Section 13 of RFC 4409, under [MESSAGE-FORMAT] contains the entry:

                     Braden, R., "Requirements for Internet Hosts -
                     Application and Support", STD 3, RFC 1123, October
                     1989.

   Similarly to the last item above, the IMF related material from
   RFC 1233 has been revised and incorporated into RFC 2822; thus
   this Ref. is not really needed any more.
   The Ref. to RFC 2822 in fact catches all.

c) Section 13 of RFC 4409 contains the entry:

   [IPSEC]           Kent, S. and R. Atkinson, "Security Architecture
                     for the Internet Protocol", RFC 2401, November
                     1998.

   This Ref. was already outdated at the time of publication of
   RFC 4409; it should point to the current IPSEC Architecture
   document, RFC 4301 !

   BTW:
   This apparently is a `viral` legacy issue -- RFC 2476 also
   contained an outdated Ref., to the predecessor of RFC 2401 !

Best regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+